// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		BA70134C2756237600FD239B /* Constants.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA70134B2756237600FD239B /* Constants.swift */; };
		BA73D7892753D32800135B1D /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D7882753D32800135B1D /* AppDelegate.swift */; };
		BA73D78B2753D32800135B1D /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D78A2753D32800135B1D /* SceneDelegate.swift */; };
		BA73D78D2753D32800135B1D /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D78C2753D32800135B1D /* ViewController.swift */; };
		BA73D7922753D32D00135B1D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = BA73D7912753D32D00135B1D /* Assets.xcassets */; };
		BA73D7952753D32D00135B1D /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = BA73D7932753D32D00135B1D /* LaunchScreen.storyboard */; };
		BA73D7A02753D32E00135B1D /* TableTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D79F2753D32E00135B1D /* TableTests.swift */; };
		BA73D7AB2753D32E00135B1D /* TableUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D7AA2753D32E00135B1D /* TableUITests.swift */; };
		BA73D7BB2753D72E00135B1D /* CustomTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D7B92753D72E00135B1D /* CustomTableViewCell.swift */; };
		BA73D7BC2753D72E00135B1D /* CustomTableViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = BA73D7BA2753D72E00135B1D /* CustomTableViewCell.xib */; };
		BA73D7BF2753D86D00135B1D /* CellContent.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D7BE2753D86D00135B1D /* CellContent.swift */; };
		BA73D7C22753EF1100135B1D /* CustomHeader.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D7C12753EF1000135B1D /* CustomHeader.swift */; };
		BA73D7C42753F42F00135B1D /* DetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA73D7C32753F42F00135B1D /* DetailViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		BA73D79C2753D32E00135B1D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = BA73D77D2753D32800135B1D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = BA73D7842753D32800135B1D;
			remoteInfo = Table;
		};
		BA73D7A72753D32E00135B1D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = BA73D77D2753D32800135B1D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = BA73D7842753D32800135B1D;
			remoteInfo = Table;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		BA70134B2756237600FD239B /* Constants.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Constants.swift; sourceTree = "<group>"; };
		BA73D7852753D32800135B1D /* Table.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Table.app; sourceTree = BUILT_PRODUCTS_DIR; };
		BA73D7882753D32800135B1D /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		BA73D78A2753D32800135B1D /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		BA73D78C2753D32800135B1D /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		BA73D7912753D32D00135B1D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		BA73D7942753D32D00135B1D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		BA73D7962753D32D00135B1D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BA73D79B2753D32E00135B1D /* TableTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = TableTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		BA73D79F2753D32E00135B1D /* TableTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TableTests.swift; sourceTree = "<group>"; };
		BA73D7A12753D32E00135B1D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BA73D7A62753D32E00135B1D /* TableUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = TableUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		BA73D7AA2753D32E00135B1D /* TableUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TableUITests.swift; sourceTree = "<group>"; };
		BA73D7AC2753D32E00135B1D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BA73D7B92753D72E00135B1D /* CustomTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomTableViewCell.swift; sourceTree = "<group>"; };
		BA73D7BA2753D72E00135B1D /* CustomTableViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = CustomTableViewCell.xib; sourceTree = "<group>"; };
		BA73D7BE2753D86D00135B1D /* CellContent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CellContent.swift; sourceTree = "<group>"; };
		BA73D7C12753EF1000135B1D /* CustomHeader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = CustomHeader.swift; path = Table/Controllers/CustomHeader.swift; sourceTree = SOURCE_ROOT; };
		BA73D7C32753F42F00135B1D /* DetailViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DetailViewController.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		BA73D7822753D32800135B1D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BA73D7982753D32E00135B1D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BA73D7A32753D32E00135B1D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		BA73D77C2753D32800135B1D = {
			isa = PBXGroup;
			children = (
				BA73D7872753D32800135B1D /* Table */,
				BA73D79E2753D32E00135B1D /* TableTests */,
				BA73D7A92753D32E00135B1D /* TableUITests */,
				BA73D7862753D32800135B1D /* Products */,
			);
			sourceTree = "<group>";
		};
		BA73D7862753D32800135B1D /* Products */ = {
			isa = PBXGroup;
			children = (
				BA73D7852753D32800135B1D /* Table.app */,
				BA73D79B2753D32E00135B1D /* TableTests.xctest */,
				BA73D7A62753D32E00135B1D /* TableUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		BA73D7872753D32800135B1D /* Table */ = {
			isa = PBXGroup;
			children = (
				BA73D7882753D32800135B1D /* AppDelegate.swift */,
				BA73D78A2753D32800135B1D /* SceneDelegate.swift */,
				BA70134B2756237600FD239B /* Constants.swift */,
				BA73D7C02753D87500135B1D /* Models */,
				BA73D7BD2753D73800135B1D /* Views */,
				BA73D7B82753D6BB00135B1D /* Controllers */,
				BA73D7912753D32D00135B1D /* Assets.xcassets */,
				BA73D7932753D32D00135B1D /* LaunchScreen.storyboard */,
				BA73D7962753D32D00135B1D /* Info.plist */,
			);
			path = Table;
			sourceTree = "<group>";
		};
		BA73D79E2753D32E00135B1D /* TableTests */ = {
			isa = PBXGroup;
			children = (
				BA73D79F2753D32E00135B1D /* TableTests.swift */,
				BA73D7A12753D32E00135B1D /* Info.plist */,
			);
			path = TableTests;
			sourceTree = "<group>";
		};
		BA73D7A92753D32E00135B1D /* TableUITests */ = {
			isa = PBXGroup;
			children = (
				BA73D7AA2753D32E00135B1D /* TableUITests.swift */,
				BA73D7AC2753D32E00135B1D /* Info.plist */,
			);
			path = TableUITests;
			sourceTree = "<group>";
		};
		BA73D7B82753D6BB00135B1D /* Controllers */ = {
			isa = PBXGroup;
			children = (
				BA73D78C2753D32800135B1D /* ViewController.swift */,
				BA73D7C32753F42F00135B1D /* DetailViewController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		BA73D7BD2753D73800135B1D /* Views */ = {
			isa = PBXGroup;
			children = (
				BA73D7C12753EF1000135B1D /* CustomHeader.swift */,
				BA73D7B92753D72E00135B1D /* CustomTableViewCell.swift */,
				BA73D7BA2753D72E00135B1D /* CustomTableViewCell.xib */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		BA73D7C02753D87500135B1D /* Models */ = {
			isa = PBXGroup;
			children = (
				BA73D7BE2753D86D00135B1D /* CellContent.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		BA73D7842753D32800135B1D /* Table */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BA73D7AF2753D32E00135B1D /* Build configuration list for PBXNativeTarget "Table" */;
			buildPhases = (
				BA73D7812753D32800135B1D /* Sources */,
				BA73D7822753D32800135B1D /* Frameworks */,
				BA73D7832753D32800135B1D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Table;
			productName = Table;
			productReference = BA73D7852753D32800135B1D /* Table.app */;
			productType = "com.apple.product-type.application";
		};
		BA73D79A2753D32E00135B1D /* TableTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BA73D7B22753D32E00135B1D /* Build configuration list for PBXNativeTarget "TableTests" */;
			buildPhases = (
				BA73D7972753D32E00135B1D /* Sources */,
				BA73D7982753D32E00135B1D /* Frameworks */,
				BA73D7992753D32E00135B1D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				BA73D79D2753D32E00135B1D /* PBXTargetDependency */,
			);
			name = TableTests;
			productName = TableTests;
			productReference = BA73D79B2753D32E00135B1D /* TableTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		BA73D7A52753D32E00135B1D /* TableUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BA73D7B52753D32E00135B1D /* Build configuration list for PBXNativeTarget "TableUITests" */;
			buildPhases = (
				BA73D7A22753D32E00135B1D /* Sources */,
				BA73D7A32753D32E00135B1D /* Frameworks */,
				BA73D7A42753D32E00135B1D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				BA73D7A82753D32E00135B1D /* PBXTargetDependency */,
			);
			name = TableUITests;
			productName = TableUITests;
			productReference = BA73D7A62753D32E00135B1D /* TableUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		BA73D77D2753D32800135B1D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1250;
				LastUpgradeCheck = 1250;
				TargetAttributes = {
					BA73D7842753D32800135B1D = {
						CreatedOnToolsVersion = 12.5;
					};
					BA73D79A2753D32E00135B1D = {
						CreatedOnToolsVersion = 12.5;
						TestTargetID = BA73D7842753D32800135B1D;
					};
					BA73D7A52753D32E00135B1D = {
						CreatedOnToolsVersion = 12.5;
						TestTargetID = BA73D7842753D32800135B1D;
					};
				};
			};
			buildConfigurationList = BA73D7802753D32800135B1D /* Build configuration list for PBXProject "Table" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = BA73D77C2753D32800135B1D;
			productRefGroup = BA73D7862753D32800135B1D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				BA73D7842753D32800135B1D /* Table */,
				BA73D79A2753D32E00135B1D /* TableTests */,
				BA73D7A52753D32E00135B1D /* TableUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		BA73D7832753D32800135B1D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BA73D7952753D32D00135B1D /* LaunchScreen.storyboard in Resources */,
				BA73D7922753D32D00135B1D /* Assets.xcassets in Resources */,
				BA73D7BC2753D72E00135B1D /* CustomTableViewCell.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BA73D7992753D32E00135B1D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BA73D7A42753D32E00135B1D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		BA73D7812753D32800135B1D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BA73D78D2753D32800135B1D /* ViewController.swift in Sources */,
				BA73D7892753D32800135B1D /* AppDelegate.swift in Sources */,
				BA73D7BF2753D86D00135B1D /* CellContent.swift in Sources */,
				BA73D7BB2753D72E00135B1D /* CustomTableViewCell.swift in Sources */,
				BA73D78B2753D32800135B1D /* SceneDelegate.swift in Sources */,
				BA73D7C22753EF1100135B1D /* CustomHeader.swift in Sources */,
				BA73D7C42753F42F00135B1D /* DetailViewController.swift in Sources */,
				BA70134C2756237600FD239B /* Constants.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BA73D7972753D32E00135B1D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BA73D7A02753D32E00135B1D /* TableTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BA73D7A22753D32E00135B1D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BA73D7AB2753D32E00135B1D /* TableUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		BA73D79D2753D32E00135B1D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = BA73D7842753D32800135B1D /* Table */;
			targetProxy = BA73D79C2753D32E00135B1D /* PBXContainerItemProxy */;
		};
		BA73D7A82753D32E00135B1D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = BA73D7842753D32800135B1D /* Table */;
			targetProxy = BA73D7A72753D32E00135B1D /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		BA73D7932753D32D00135B1D /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				BA73D7942753D32D00135B1D /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		BA73D7AD2753D32E00135B1D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		BA73D7AE2753D32E00135B1D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		BA73D7B02753D32E00135B1D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = KC6374BX74;
				INFOPLIST_FILE = Table/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "-8.Table";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		BA73D7B12753D32E00135B1D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = KC6374BX74;
				INFOPLIST_FILE = Table/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "-8.Table";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		BA73D7B32753D32E00135B1D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = KC6374BX74;
				INFOPLIST_FILE = TableTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "-8.TableTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Table.app/Table";
			};
			name = Debug;
		};
		BA73D7B42753D32E00135B1D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = KC6374BX74;
				INFOPLIST_FILE = TableTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "-8.TableTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Table.app/Table";
			};
			name = Release;
		};
		BA73D7B62753D32E00135B1D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = KC6374BX74;
				INFOPLIST_FILE = TableUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "-8.TableUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Table;
			};
			name = Debug;
		};
		BA73D7B72753D32E00135B1D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = KC6374BX74;
				INFOPLIST_FILE = TableUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "-8.TableUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Table;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		BA73D7802753D32800135B1D /* Build configuration list for PBXProject "Table" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BA73D7AD2753D32E00135B1D /* Debug */,
				BA73D7AE2753D32E00135B1D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BA73D7AF2753D32E00135B1D /* Build configuration list for PBXNativeTarget "Table" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BA73D7B02753D32E00135B1D /* Debug */,
				BA73D7B12753D32E00135B1D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BA73D7B22753D32E00135B1D /* Build configuration list for PBXNativeTarget "TableTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BA73D7B32753D32E00135B1D /* Debug */,
				BA73D7B42753D32E00135B1D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BA73D7B52753D32E00135B1D /* Build configuration list for PBXNativeTarget "TableUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BA73D7B62753D32E00135B1D /* Debug */,
				BA73D7B72753D32E00135B1D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = BA73D77D2753D32800135B1D /* Project object */;
}
